/* 
  Input Devices
  Synchronous detection spread spectrum
  White LED signal PB2 Pin 8
  Read phototransistor PA7 Pin 7
*/

#include <SoftwareSerial.h>
#define rx 0
#define tx 1

SoftwareSerial mySerial(rx, tx);

int phototransistor = 7; 
int led = 8;

void setup() {
  pinMode(rx, INPUT);     
  pinMode(tx, OUTPUT);  
  pinMode(phototransistor, INPUT);  
  pinMode(led, OUTPUT);
  mySerial.begin(115200);
}

void loop() {  
  digitalWrite(led, LOW); 
  delay(1);
  int on =  analogRead(phototransistor);  
  delay(1);
  digitalWrite(led, HIGH); 
  delay(1);
  int off =  analogRead(phototransistor);
  delay(1);
  int distance = off - on;
  mySerial.println(distance);  
  delay(1);     
}
